#include <stdio.h>
#define _USE_MATH_DEFINES
#include <math.h>

int main()
{
	int x, j, N; 
	double t, integral, dk; 
	
	t = 100; // 時刻
	N = 1000000; 
	dk = M_PI / (double)(2 * N); 
	
	// 時刻tにおける場所xの確率の計算（近似計算）
	for (x = -100; x <= 100; x++)
	{
		// 積分の近似計算
		integral = 0; 
		
		for (j = 0; j < N; j++)
		{
			integral += 2 / M_PI * exp(-2 * t * pow(sin(j * dk), 2)) * cos(2 * x * j * dk) * dk; 
		}
		
		printf("q(%d) = %f\n", x, integral); 
	}

	return 0; 
}